Lookups
Get a list of currency codes, names and symbols configured for the environment.
GET /v1/lookup/currency
Sample
GET /v1/lookup/currencyAuth: Access token (Bearer).
Responses
| Status | Description |
|---|---|
200 | The request was successful and currency data is retrieved successfully. |
500 | An unexpected error occurred, the error object will contain further information. |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | No | Gets a value indicating whether the operation was successful. |
result | array<object>? | No | Gets the response payload. |
{
"success": true,
"result": [
{}
]
}Code samples
// @vantagepay/vantagepay
const currencies = await client.lookups.getCurrencies()// VantagePay.SDK
var currencies = await client.Lookups.GetCurrenciesAsync();Get a list of currency codes, names and symbols supported by the system.
GET /v1/lookup/currency/all
Sample
GET /v1/lookup/currency/allAuth: Access token (Bearer).
Responses
| Status | Description |
|---|---|
200 | The request was successful and currency data is retrieved successfully. |
500 | An unexpected error occurred, the error object will contain further information. |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | No | Gets a value indicating whether the operation was successful. |
result | array<object>? | No | Gets the response payload. |
{
"success": true,
"result": [
{}
]
}Code samples
// @vantagepay/vantagepay
const currencies = await client.lookups.getAllCurrencies()// VantagePay.SDK
var currencies = await client.Lookups.GetAllCurrenciesAsync();Get a list of country codes, names and dialing/phone prefixes configured for the environment.
GET /v1/lookup/country
Sample
GET /v1/lookup/countryAuth: Access token (Bearer).
Responses
| Status | Description |
|---|---|
200 | The request was successful and country data is retrieved successfully. |
500 | An unexpected error occurred, the error object will contain further information. |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | No | Gets a value indicating whether the operation was successful. |
result | array<object>? | No | Gets the response payload. |
{
"success": true,
"result": [
{}
]
}Code samples
// @vantagepay/vantagepay
const countries = await client.lookups.getCountries()// VantagePay.SDK
var countries = await client.Lookups.GetCountriesAsync();Get a list of country codes, names and dialing/phone prefixes supported by the system.
GET /v1/lookup/country/all
Sample
GET /v1/lookup/country/allAuth: Access token (Bearer).
Responses
| Status | Description |
|---|---|
200 | The request was successful and country data is retrieved successfully. |
500 | An unexpected error occurred, the error object will contain further information. |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | No | Gets a value indicating whether the operation was successful. |
result | array<object>? | No | Gets the response payload. |
{
"success": true,
"result": [
{}
]
}Code samples
// @vantagepay/vantagepay
const countries = await client.lookups.getAllCountries()// VantagePay.SDK
var countries = await client.Lookups.GetAllCountriesAsync();Get a list of language codes and names configured for the environment.
GET /v1/lookup/language
Sample
GET /v1/lookup/languageAuth: Access token (Bearer).
Responses
| Status | Description |
|---|---|
200 | The request was successful and language data is retrieved successfully. |
500 | An unexpected error occurred, the error object will contain further information. |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | No | Gets a value indicating whether the operation was successful. |
result | array<object>? | No | Gets the response payload. |
{
"success": true,
"result": [
{}
]
}Code samples
// @vantagepay/vantagepay
const languages = await client.lookups.getLanguages()// VantagePay.SDK
var languages = await client.Lookups.GetLanguagesAsync();Get a list of language codes and names supported by the system.
GET /v1/lookup/language/all
Sample
GET /v1/lookup/language/allAuth: Access token (Bearer).
Responses
| Status | Description |
|---|---|
200 | The request was successful and language data is retrieved successfully. |
500 | An unexpected error occurred, the error object will contain further information. |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | No | Gets a value indicating whether the operation was successful. |
result | array<object>? | No | Gets the response payload. |
{
"success": true,
"result": [
{}
]
}Code samples
// @vantagepay/vantagepay
const languages = await client.lookups.getAllLanguages()// VantagePay.SDK
var languages = await client.Lookups.GetAllLanguagesAsync();Get a list of mobile operators configured for the environment.
GET /v1/lookup/mobile-wallet-operator
Sample
GET /v1/lookup/mobile-wallet-operatorAuth: Access token (Bearer).
Responses
| Status | Description |
|---|---|
200 | The request was successful and mobile network data is retrieved successfully. |
500 | An unexpected error occurred, the error object will contain further information. |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | No | Gets a value indicating whether the operation was successful. |
result | array<object>? | No | Gets the response payload. |
{
"success": true,
"result": [
{}
]
}Code samples
// @vantagepay/vantagepay
const operators = await client.lookups.getMobileWalletOperators()// VantagePay.SDK
var operators = await client.Lookups.GetMobileWalletOperatorsAsync();Get a list of bank code and names supported by the system.
GET /v1/lookup/bank
Sample
GET /v1/lookup/bankAuth: Access token (Bearer).
Parameters
| Name | In | Required | Description |
|---|---|---|---|
country | query | No | Optional country filter. |
Responses
| Status | Description |
|---|---|
200 | The request was successful and bank data is retrieved successfully. |
400 | The request failed validation, the error object will contain further information. |
422 | The request payload is invalid, the error object will contain further information. |
429 | Too many requests are being sent concurrently or rate limiting has taken effect. |
500 | An unexpected error occurred, the error object will contain further information. |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | No | Gets a value indicating whether the operation was successful. |
result | array<object>? | No | Gets the response payload. |
{
"success": true,
"result": [
{}
]
}Code samples
// @vantagepay/vantagepay
import { Country } from '@vantagepay/vantagepay'
const banks = await client.lookups.getBanks(Country.GHA)// VantagePay.SDK
using VantagePay.Models.Lookups;
var banks = await client.Lookups.GetBanksAsync(Country.GHA);Get the bank country data that belongs to a card BIN range.
GET /v1/lookup/card-issuer-country
Sample
GET /v1/lookup/card-issuer-countryAuth: Access token (Bearer).
Parameters
| Name | In | Required | Description |
|---|---|---|---|
cardBin | query | No | Card BIN/IIN filter. DO NOT pass in the entire number, the first 6 digits is enough. |
Responses
| Status | Description |
|---|---|
200 | The request was successful and bank country data is retrieved successfully. |
400 | The request failed validation, the error object will contain further information. |
422 | The request payload is invalid, the error object will contain further information. |
429 | Too many requests are being sent concurrently or rate limiting has taken effect. |
500 | An unexpected error occurred, the error object will contain further information. |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | No | Gets a value indicating whether the operation was successful. |
result | object | No | Provides detailed ISO and dialing metadata for a ZGA.Core.Models.Lookups.CountryData.Country. |
{
"success": true,
"result": {
"isAvailable": true,
"country": "None",
"countryName": "string",
"longIsoCode": "string",
"shortIsoCode": "string",
"numericIsoCode": 0,
"dialingCode": "string"
}
}Code samples
// @vantagepay/vantagepay
// Pass the first 6 digits (BIN) only, never the full card number.
const country = await client.lookups.getCardIssuerCountry('457173')// VantagePay.SDK
var country = await client.Lookups.GetCardIssuerCountryAsync("457173");Get the address for a given latitude and longitude.
GET /v1/lookup/address
Sample
GET /v1/lookup/address?latitude=-29.7927649&longitude=31.03786Auth: Access token (Bearer).
Parameters
| Name | In | Required | Description |
|---|---|---|---|
latitude | query | No | The GPS latitude value. |
longitude | query | No | The GPS longitude value. |
Responses
| Status | Description |
|---|---|
200 | The request was successful and address information was found. |
400 | The request failed validation, the error object will contain further information. |
422 | The request payload is invalid, the error object will contain further information. |
429 | Too many requests are being sent concurrently or rate limiting has taken effect. |
500 | An unexpected error occurred, the error object will contain further information. |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | No | Gets a value indicating whether the operation was successful. |
result | object | No | A physical address associated with a consumer, merchant, or other entity. |
{
"success": true,
"result": {
"reference": "00000000-0000-0000-0000-000000000000",
"yourReference": "string",
"addressType": "MAIN",
"addressLine1": "string",
"addressLine2": "string",
"addressLine3": "string",
"postalCode": "string",
"countryIsoCode": "None",
"city": "string",
"state": "string",
"location": {},
"description": "string",
"formatted": "string",
"isActive": true
}
}Code samples
// @vantagepay/vantagepay
const address = await client.lookups.getAddressFromLocation(5.6037, -0.1870)// VantagePay.SDK
var address = await client.Lookups.GetAddressFromLocationAsync(5.6037, -0.1870);Get the address for a given digital address value.
GET /v1/lookup/address/{digitalAddress}
Sample
GET /v1/lookup/address/GU-597-3609Auth: Access token (Bearer).
Parameters
| Name | In | Required | Description |
|---|---|---|---|
digitalAddress | path | Yes | The digital address value. |
Responses
| Status | Description |
|---|---|
200 | The request was successful and address information was found. |
400 | The request failed validation, the error object will contain further information. |
422 | The request payload is invalid, the error object will contain further information. |
429 | Too many requests are being sent concurrently or rate limiting has taken effect. |
500 | An unexpected error occurred, the error object will contain further information. |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | No | Gets a value indicating whether the operation was successful. |
result | object | No | A physical address associated with a consumer, merchant, or other entity. |
{
"success": true,
"result": {
"reference": "00000000-0000-0000-0000-000000000000",
"yourReference": "string",
"addressType": "MAIN",
"addressLine1": "string",
"addressLine2": "string",
"addressLine3": "string",
"postalCode": "string",
"countryIsoCode": "None",
"city": "string",
"state": "string",
"location": {},
"description": "string",
"formatted": "string",
"isActive": true
}
}Code samples
// @vantagepay/vantagepay
const address = await client.lookups.getAddressFromDigitalAddress('GA-183-2295')// VantagePay.SDK
var address = await client.Lookups.GetAddressFromDigitalAddressAsync("GA-183-2295");Get a list of transaction status codes and their descriptions.
GET /v1/lookup/product-type
Auth: Access token (Bearer).
Responses
| Status | Description |
|---|---|
200 | The request was successful and transaction status data is retrieved successfully. |
500 | An unexpected error occurred, the error object will contain further information. |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | No | Gets a value indicating whether the operation was successful. |
result | array<object>? | No | Gets the response payload. |
{
"success": true,
"result": [
{}
]
}Code samples
// @vantagepay/vantagepay
const productTypes = await client.lookups.getProductTypes()// VantagePay.SDK
var productTypes = await client.Lookups.GetProductTypesAsync();Get a list of merchant category codes and their descriptions.
GET /v1/lookup/merchant-category
Auth: Access token (Bearer).
Responses
| Status | Description |
|---|---|
200 | The request was successful and merchant category data is retrieved successfully. |
500 | An unexpected error occurred, the error object will contain further information. |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | No | Gets a value indicating whether the operation was successful. |
result | array<object>? | No | Gets the response payload. |
{
"success": true,
"result": [
{}
]
}Code samples
// @vantagepay/vantagepay
const categories = await client.lookups.getMerchantCategories()// VantagePay.SDK
var categories = await client.Lookups.GetMerchantCategoriesAsync();Get a list of merchant category groups with their associated category codes.
GET /v1/lookup/merchant-category-groups
Auth: Access token (Bearer).
Responses
| Status | Description |
|---|---|
200 | The request was successful and merchant category group data is retrieved successfully. |
400 | The request failed validation, the error object will contain further information. |
422 | The request payload is invalid, the error object will contain further information. |
429 | Too many requests are being sent concurrently or rate limiting has taken effect. |
500 | An unexpected error occurred, the error object will contain further information. |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | No | Gets a value indicating whether the operation was successful. |
result | array<object>? | No | Gets the response payload. |
{
"success": true,
"result": [
{}
]
}Code samples
// @vantagepay/vantagepay
const groups = await client.lookups.getMerchantCategoryGroups()// VantagePay.SDK
var groups = await client.Lookups.GetMerchantCategoryGroupsAsync();Get a list of transaction status codes and their descriptions.
GET /v1/lookup/transaction-status
Sample
GET /v1/lookup/transaction-statusAuth: Access token (Bearer).
Responses
| Status | Description |
|---|---|
200 | The request was successful and transaction status data is retrieved successfully. |
500 | An unexpected error occurred, the error object will contain further information. |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | No | Gets a value indicating whether the operation was successful. |
{
"success": true
}Code samples
// @vantagepay/vantagepay
// Lists transaction status descriptions.
// Not wrapped by the JavaScript SDK - call the endpoint directly with the active token.
const response = await fetch(baseUrl + '/v1/lookup/transaction-status', {
method: 'GET',
headers: { Authorization: 'Bearer ' + ApiTokens.accessToken },
})
const result = await response.json()// VantagePay.SDK
// Lists transaction status descriptions.
// Not wrapped by the .NET SDK - call the endpoint directly with an authorized HttpClient.
using var http = new HttpClient { BaseAddress = new Uri("https://sandbox-api.vantagepay.dev") };
http.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Bearer", client.ApiTokens.AccessToken);
var response = await http.GetAsync("/v1/lookup/transaction-status");
response.EnsureSuccessStatusCode();Get a list of payment channels supported by the system.
GET /v1/lookup/channel
Sample
GET /v1/lookup/channelAuth: Access token (Bearer).
Responses
| Status | Description |
|---|---|
200 | The request was successful and payment channel data is retrieved successfully. |
500 | An unexpected error occurred, the error object will contain further information. |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | No | Gets a value indicating whether the operation was successful. |
{
"success": true
}Code samples
// @vantagepay/vantagepay
// Lists available payment channels.
// Not wrapped by the JavaScript SDK - call the endpoint directly with the active token.
const response = await fetch(baseUrl + '/v1/lookup/channel', {
method: 'GET',
headers: { Authorization: 'Bearer ' + ApiTokens.accessToken },
})
const result = await response.json()// VantagePay.SDK
// Lists available payment channels.
// Not wrapped by the .NET SDK - call the endpoint directly with an authorized HttpClient.
using var http = new HttpClient { BaseAddress = new Uri("https://sandbox-api.vantagepay.dev") };
http.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Bearer", client.ApiTokens.AccessToken);
var response = await http.GetAsync("/v1/lookup/channel");
response.EnsureSuccessStatusCode();